@charset "UTF-8";
/*===== GOOGLE FONTS =====*/
@import url('https://fonts.googleapis.com/css2?family=Bebas+Neue&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

/*===== VARIABLES CSS =====*/
:root{
    --header-height: 3.5rem;

    /* Colors */

    --first-color: #0540F2;
    --second-color: #1B63F2;
    --text-color: #e4e4e4;
    --text-color-light: #ffffff;
    --body-color: #090438;

    /* ============ Font and Typography ============== */
    /* .5rem = 8px | 1rem = 16px */

    --body-font: 'Poppins', sans-serif;
    --biggest-font-size: 3rem;
    --h2-font-size: 1.25rem;
    --normal-font-size: 0.938rem;
    --smaller-font-size: 0.75rem;

    /* ========== Font Weight ========== */
    --font-semi-bold: 600;

    /* =========== z index ============ */
    --z-fixed: 100;
}

/* Responsive Typografy */

*{
    box-sizing: border-box;
    padding: 0;
    margin: 0;
    scroll-behavior: smooth;
    scroll-margin-top: 140px;
}

body{
    font-family: var(--body-font);
    font-size: var(--normal-font-size);
    color: var(--text-color);
    background-color: var(--body-color);
    
}

ul{
    list-style: none;
}

a{
    text-decoration: none;
}

img{
    max-width: 100%;
    height: auto;
}


 .bd-grid {
  max-width: 100vw;
  display: grid;
  grid-template-columns: 100%;
  margin-left: 1.5rem;
  margin-right: 1.5rem;
}

/*===== HEADER =====*/
.header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: var(--header-height);
  padding: 0 5rem;
  background-color: transparent;
  z-index: var(--z-fixed);
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.header__logo img{
  width: 40px;
  height: 40px;
  margin-top: 8px;
}

.header__toggle {
  font-size: 1.7rem;
  cursor: pointer;
}

/*===== NAV =====*/
@media screen and (max-width: 768px) {
  .nav {
    position: fixed;
    top: 0;
    left: -100%;
    background-color: var(--body-color);
    width: 65%;
    height: 100vh;
    padding: 2rem 0;
    z-index: var(--z-fixed);
    transition: .5s;
    overflow-y: auto;
  }

}

.nav__content {
  display: flex;
  flex-direction: column;
}

.nav__perfil {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  margin-bottom: 3rem;
}

.nav__img {
  display: flex;
  justify-content: center;
  width: 60px;
  height: 60px;
  overflow: hidden;
  margin-bottom: 1rem;
}

.nav__img img {
  width: 70px;
}

.nav__name {
  display: block;
  font-size: var(--nav-name-font-size);
  color: var(--white-color);
}

.nav__item {
  margin-bottom: 2rem;
}

.nav__link {
  color: var(--first-color-light);
}

.nav__link:hover{
    color: var(--first-color);

}
/*Show menu*/
.show {
  left: 0;
}

/*Active link*/
.active {
  color: var(--first-color);
}

/*=== Dropdown ===*/
.dropdown__link {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.dropdown__icon {
  font-size: 1.3rem;
  transition: .5s;
}

.dropdown__menu {
  margin: 1rem 0 0 1rem;
  display: none;
}

.dropdown__item {
  margin: 1rem 0;
}

.dropdown:hover > .dropdown__menu {
  display: block;
}

.dropdown:hover .dropdown__icon {
  transform: rotate(180deg);
}

/* ===== MEDIA QUERIES=====*/
@media screen and (min-width: 576px) {
  .nav {
    width: 288px;
  }
}

@media screen and (min-width: 769px) {
  body {
    margin: 0;
  }
  .header {
    height: calc(var(--header-height) + 1rem);
  }
  .header__logo, .header__toggle {
    display: none;
  }
  .nav {
    width: 100%;
  }
  .nav__content {
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
  }
  .nav__perfil {
    flex-direction: row;
    text-align: initial;
    margin-bottom: 0;
  }
  .nav__img {
    height: auto;
    margin-right: .5rem;
    margin-bottom: 0;
  }
  .nav__img img {
    width: 55px;
  }
  .nav__name {
    color: var(--dark-color);
  }
  .nav__list {
    display: flex;
    align-items: center;
  }
  .nav__item {
    margin: 0 1.5rem;
    padding: 1.4rem 0;
  }
  .nav__link:hover {
    color: var(--first-color);
  }
  /*Active link new color*/
  .active {
    color: var(--first-color);
  }
  .dropdown {
    position: relative;
  }
  .dropdown__menu {
    position: fixed;
    margin: 0px -23px;
    top: calc(var(--header-height) + 1rem);
    padding: .5rem 1.5rem;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    border-radius: .5rem;
    background-color: #e4e4e4;
  }
  .dropdown__item {
    margin: .5rem 0;
    color: #181818;
  }
}

/* Responsive Typografy */

/* ================ BASE ============== */

.conteiner{
    max-width: 1024px;
    margin-inline: 1.5rem;
}
.main{
    overflow: hidden;
}

.nav__link{
    font-weight: var(--font-semi-bold);
    transition: color .4s;
}
header{
    transition: 0.3s ease-in-out;
}

header.roll{
    background: var(--body-color);
    border-radius: 0 0 20px 20px;
}
/* ================ HOME ================ */

.home{
    position: relative;
}

.home__container{
    position: relative;
    padding: 7rem 1rem 2rem;
}

.home__title{
    font-size: var(--biggest-font-size);
    line-height: 4rem;
    margin-bottom: .75rem;
}

.home__title span{
    background: linear-gradient(90deg,
                var(--second-color) 0%,
                var(--first-color) 100%);
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    color: transparent;
}

.home__description{
    color: var(--text-color-light);
    margin-bottom: 1.7rem;
}

.home__button{
    display: inline-block;
    background: linear-gradient(95deg,
                var(--second-color) 0%,
                var(--first-color) 100%);
    padding: 1rem 2rem;
    border-radius: .25rem;
    color: var(--text-color);
    font-weight: var(--font-semi-bold);
    transition: box-shadow .4s;
}

.home__button:hover{
    box-shadow: 0 8px 48px hsla(203, 74%, 30%, 0.5);
}

.home__group{
    position: relative;
}

.home__images,
.home__data{
    display: grid;
}

.home__img-hs{
    width: 100px;
    justify-self: center;
    transform: translateY(1.8rem);
    z-index: 2;
}

.home__img-hs img{
    z-index: 2;
    filter: drop-shadow(0 4px 32px hsla(203, 71%, 60%, .5));
    animation: float-hs 4s ease-in-out infinite;
}

.home__img-orbe{
    width: 300px;
    justify-self: center;
    rotate: calc(1deg);
}

.home__data{
    position: absolute;
    top: 2rem;
    right: 1.5rem;
    row-gap: 1.25rem;
}

.home__data-number{
    font-size: var(--h2-font-size);
    font-weight: var(--font-semi-bold);
}

.home__data-subtitle{
    font-size: var(--smaller-font-size);
}

.home__footer,
.home__footer-time{
    display: flex;
}

.home__footer{
    margin-top: -4.8rem;
    column-gap: 3.5rem;
}

.home__footer-title,
.home__footer-subtitle{
    font-size: var(--normal-font-size);
    font-weight: var(--font-semi-bold);
    display: block;
    color: var(--text-color);
}

.home__footer-title{
    margin-bottom: .75rem;
}

.home__footer-subtitle a{
    color: #fff;
    opacity: .7;
}

.home__footer-subtitle a:hover{
    opacity: 1;
}

.home__footer-number{
    font-size: var(--h2-font-size);
    font-weight: var(--font-semi-bold);
    margin-bottom: 1rem;
}

.home__footer-time{
    column-gap: 1.25rem;
}

.home__footer-counter{
    text-align: center;
}

.home__footer-counter i{
    font-size: var(--h2-font-size);
}

/* shapes */
.home__shape-small,
.home__shape-big-1,
.home__shape-big-2{
    position: absolute;
    border-radius: 50%;
    filter: blur(100px);
    z-index: -1;
}

.home__shape-small{
    width: 150px;
    height: 150px;
    background-color: var(--first-color);
    top: -2.5rem;
    left: -1.5rem;
}

.home__shape-big-1,
.home__shape-big-2{
    width: 250px;
    height: 250px;
}

.home__shape-big-1{
    background-color: var(--first-color);
    top: 16rem;
    right: -6.5rem;
}

.home__shape-big-2{
    background-color: var(--second-color);
    left: -3.5rem;
    bottom: -4rem;
}

.home__shape-bg{
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    object-fit: cover;
    mix-blend-mode: soft-light;
    opacity: .4;
    z-index: -1;
}

/* Animation Logo HS */
@keyframes float-hs{
    0%{
        transform: translateY(.5rem);
    }
    50%{
        transform: translateY(2rem);
    }
    100%{
        transform: translateY(.5rem);
    }
}

/* ================ BREAKPOINTS =============== */
/* for smalls devices */

@media screen and (max-width: 340px){

    .home__img-orbe{
        width: 230px;
    }

    .home__img-hs{
        width: 80px;
        transform: translateY(1.3rem);
    }

    .home__images{
        margin-left: -100px;
        margin-top: 2rem;
    }

    .home__data{
        right: 1rem;
        top: 0;
        row-gap: 1.25rem;
    }

    .home__footer{
        flex-direction: column;
        row-gap: 2rem;
        align-items: center;
        margin-top: 1rem;
    }
}

@media screen and (max-width: 770px){

    .home__images{
        margin-left: -100px;
        margin-top: 2rem;
    }

    .home__data{
        right: 1.5rem;
    }

    .home__footer{
        flex-direction: column;
        row-gap: 2rem;
        align-items: center;
        margin-top: 1rem;
    }
    .home__description{
        max-width: 300px;
    }

}

@media screen and (min-width: 771px){

    .home__container{
        height: 100vh;
        display: grid;
        align-content: space-around;
        justify-content: start;
        gap: 1rem 4rem;
    }

    .home__img-orbe{
        width: 400px;
    }

    .home__img-hs{
        width: 150px;
    }

    .home__group{
        grid-row: 1 / 3;
        grid-column: 2 / 3;
        align-items: center;
        right: 4rem;
    }

    .home__data{
        right: -2rem;
        top: 2rem;
    }

}


@media screen and (min-width: 1024px){

    .home__title{
        margin-bottom: 1rem;
    }

    .home__container{
        gap: 1rem 10rem;
        align-content: space-around;
        justify-content: center;
    }

    .home__description{
        margin-bottom: 3rem;
    }

    .home__img-orbe{
        width: 500px;
    }

    .home__img-hs{
        width: 200px;
        transform: translateY(4.7rem);
    }

    .home__data{
        top: 8rem;
        right: -3rem;
        row-gap: 2.5rem;
    }

    .home__shape-small,
    .home__shape-big-1,
    .home__shape-big-2{
        filter: blur(132px);
    }

    .home__shape-small{
        width: 300px;
        height: 300px;
        top: -5rem;
        left: -2rem;
    }

    .home__shape-big-1,
    .home__shape-big-2{
        width: 400px;
        height: 400px;
    }

    .home__shape-big-1{
        top: 10rem;
        right: -3.5rem;
    }

    .home__shape-big-2{
        left: 14rem;
        bottom: -10rem;
    }

    .home__footer{
        position: relative;
        top: 1rem;
    }
}

@media screen and (min-width: 1208px){
    .conteiner{
        margin-inline: auto;
    }

    .home__data{
        top: 8rem;
        right: -4rem;
        row-gap: 2.5rem;
    }

    .home__img-orbe{
        width: 700px;
    }

    .home__footer{
        font-size: x-large;
        margin-top: 1rem;
    }
}

@media screen and (min-width: 1500px){
    .home__shape-bg-2{
        left: 28rem;
    }
    .home__description{
        max-width: 600px;
        text-align: justify;
    }
    .home__footer{
        margin-top: -9rem;
    }
}

.hero{
    position: relative;
    display: flex;
}

.carousel{
    margin: 20px auto 50px;
    width: 88%;
    align-items: center;
    border-radius: 20px;
    display: flex;
    overflow-x: auto;
    overflow-y: hidden;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.5);
    height: 240px;
    padding-top: 25px;
}

.carousel::-webkit-scrollbar{
    display: none;
}

.group{
    display: flex;
    align-items: center;
    justify-content: center;
    animation: spin 90s infinite linear;
    gap: 0.3rem;

}

.card{
    flex: 0 0 5em;
    height: 360px;
    overflow-y: hidden;
    font-size: 60px;
    border-radius: .2rem;
    text-align: center;
    align-content: center;
    
}

@keyframes spin {
    from {translate: 0;}
    to {translate: -100%;}
}

footer{
    width: 100%;
    color: var(--text-color-light);
}

.footer_content{
    background-color: #050222;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    padding: 3rem 3.5rem;
    gap: 2rem;
}

.footer_contacts span{
    margin-bottom: 0.75rem;
}

.footer_social_media{
    display: flex;
    gap: 2rem;
    margin-top: 1.5rem;
}

.footer_link{
    font-size: 1.25rem;
    color: var(--text-color);
    transition: all 0.4s;
}

.footer_link:hover{
    opacity: 0.7;
}

.footer-list{
    display: flex;
    flex-direction: column;
    gap: 0.75rem;
}

.footer-link{
    color: #cacaca;
    transition: all 0.4s;
}

.footer-link:hover{
    color: #ffffff;
}

#footer_subscribe{
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
}

#footer_copyright{
    display: flex;
    justify-content: center;
    font-size: 0.9rem;
    padding: 1.5rem;
    font-weight: 100;
    background-color: #02000e;
}

.footer_contacts p{
    max-width: 250px;
}

@media screen and (max-width: 768px) {
    .footer_content{
        grid-template-columns: repeat(2, 1fr);
        gap: 2rem;
    }
}

@media screen and (max-width: 426px) {
    .footer_content{
        grid-template-columns: repeat(1, 1fr);
        padding: 3rem 2rem;
    }
}

.card-content{
  display: flex;
  justify-content: center;
  margin-top: 30px;
}

.title{
  margin: 20px;
}

.card-list .card-item{
  list-style: none;

}

.card-wrapper{
  max-width: 1700px;
  margin: 0 60px 35px;
  padding: 20px 10px;
  overflow: hidden;
}

.card-list .card-item .card-link{
  user-select: none;
  display: block;
  background: #fff;
  padding: 18px;
  border-radius: 12px;
  text-decoration: none;
  box-shadow: 0 0 21px -12px black;
  border: 2px solid transparent;
  transition: 0.4s ease;
}

.card-list .card-item .card-link:active{
  cursor: grabbing;
}

.card-list .card-item .card-link:hover{
  border-color: #0540F2;
}

.bg-image{
  height: 230px;
  width: 100%;
  border-radius: 10px;
  background-size: cover;
  background-repeat: no-repeat;
}

img{
  border-radius: 10px;
}

.card-image{
  height: 230px;
}

.card-list .card-link .card-image{
  width: 100%;
  aspect-ratio: 16 / 9;
  object-fit: cover;
  border-radius: 10px;
}

.card-list .card-link .badge{
  color: #1B63F2;
  padding: 8px 16px;
  font-size: 0.95rem;
  font-weight: 500;
  margin: 16px 0 18px;
  background: #dde4ff;
  width: fit-content;
  border-radius: 50px;
}

.card-list .card-link .badge.eletrica{
 color: #ff7b00;
 background: #f8e3cf;
}

.card-list .card-link .badge.magnetica{
  color: #1B63F2;
  background: #dde4ff;
}

.card-list .card-link .card-title{
  font-size: 1.19rem;
  color: #000;
  font-weight: 600;
}

.card-list .card-link .card-button{
  height: 35px;
  width: 35px;
  color: #1e3ffd;
  border-radius: 50%;
  margin: 30px 0 5px;
  background: none;
  cursor: pointer;
  border: 2px solid #1e3ffd;
  transform: rotate(-45deg);
  transition: all 0.3s ease;
}

.fi-rr-arrow-small-right{
  display: flex;
  justify-content: center;
  font-size: 25px;
}

.card-list .card-link:hover .card-button{
  color: #fff;
  background: #1e3ffd;
}

.card-wrapper .swiper-pagination-bullet{
  height: 13px;
  width: 13px;
  opacity: 0.5;
  background: #0540F2;
}

.card-wrapper .swiper-pagination-bullet-active{
  opacity: 1;
}

.card-wrapper .swiperslide{
  color: #0540F2;
  margin-top: -35px;
}

@media screen and (max-width: 768px){
  .card-wrapper{
    margin: 0 10px 25px;
  }

  .swiperslide{
    display: none;
  }
}

footer{
    width: 100%;
    color: var(--text-color-light);
}

.footer_content{
    background-color: #050222;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    padding: 3rem 3.5rem;
    gap: 2rem;
}

.footer_contacts span{
    margin-bottom: 0.75rem;
}

.footer_social_media{
    display: flex;
    gap: 2rem;
    margin-top: 1.5rem;
}

.footer_link{
    font-size: 1.25rem;
    color: var(--text-color);
    transition: all 0.4s;
}

.footer_link:hover{
    opacity: 0.7;
}

.footer-list{
    display: flex;
    flex-direction: column;
    gap: 0.75rem;
}

.footer-link{
    color: #cacaca;
    transition: all 0.4s;
}

.footer-link:hover{
    color: #ffffff;
}

#footer_subscribe{
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
}

#footer_copyright{
    display: flex;
    justify-content: center;
    font-size: 0.9rem;
    padding: 1.5rem;
    font-weight: 100;
    background-color: #02000e;
}

.footer_contacts p{
    max-width: 250px;
}

@media screen and (max-width: 768px) {
    .footer_content{
        grid-template-columns: repeat(2, 1fr);
        gap: 2rem;
    }
}

@media screen and (max-width: 426px) {
    .footer_content{
        grid-template-columns: repeat(1, 1fr);
        padding: 3rem 2rem;
    }
}

.content_2{
    background-color: #fff;
    margin: 90px 20px;
    border-radius: 15px;
    padding: 20px;
    box-shadow: 0 0 21px -12px black;
}

.content_2 .title h1{
    color: #000;
    font-size: 2rem;
    text-align: center;
}

.content_2 .subtitle{
    color: #000;
    font-size: 1rem;
    text-align: justify;
    max-width: 700px;
    margin: auto;
    margin-bottom: 15px;
}



@media screen and (min-width: 1200px) {
    .content_2{
        margin: 50px 150px;
    }
}

a:hover{
    cursor: pointer;
}

.td{
    text-decoration: none;
    color: #000;
}